+ Responder ao Tópico



  1. #1
    climber
    Pessoal,

    To com um problemão com oracle. Não estou conseguindo compilar o Instant-Client do 9i com o PHP.

    Eu ponho "--with-oci8" no "./configure" e ele vai numa boa, depois que eu termino de compilar, na página de teste do php""(<? phpinfo (); ?>)"" aparece "Oci8Support enable". Quando eu ponho o parametro "--with oci8-instant-client" ele reclama que não tem o "Instant Client headers SDK", mas eu já tentei apontar pra todas as pastas do oracle e não consigo.

    Só que na hora de usar o ocilogon com os dados do servidor Oracle(que é outra máquina) ele diz que a função ocilogon() não está definida.

    Já configurei:

    - o $ORACLE_HOME;
    - o $LD_LIBRARY_PATH;
    - o $TNS_ADMIN;


    O mais estranho, que quando eu to vendo a página que traz as infos de compilação do PHP( a mesma que eu citei acima), ele diz que não tem bibliotecas instaladas do oci8( no value).

    Alguém tem uma luz?

  2. Vi em outro forum que a pessoa baixou o OCI.DLL e colocou na pasta do Apache...
    Pode ser que funcione com você também...






Tópicos Similares

  1. Problema com Oracle
    Por debian2006 no fórum Servidores de Rede
    Respostas: 2
    Último Post: 28-02-2011, 20:06
  2. Problemas com Oracle
    Por lord_kaos no fórum Servidores de Rede
    Respostas: 3
    Último Post: 17-09-2007, 18:31
  3. Problemas com FC2 rodando Oracle 9i
    Por Drozzini no fórum Servidores de Rede
    Respostas: 8
    Último Post: 20-09-2005, 08:00
  4. PHP + Oracle, problemas com extenção OCI8
    Por redrum_pp no fórum Servidores de Rede
    Respostas: 0
    Último Post: 26-08-2005, 09:39
  5. problemas com o IMP
    Por marlonfuchs no fórum Servidores de Rede
    Respostas: 0
    Último Post: 27-06-2002, 08:13

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L